Bug 1292985 - xautolock doesn't work
xautolock doesn't work
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: xautolock (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 18:25 EST by Jan-Marten Brüggemann
Modified: 2017-11-16 14:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:10:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan-Marten Brüggemann 2015-12-18 18:25:33 EST
Description of problem:
I've installed xautolock and tried to let it lock the xfce4-session with i3lock, but it doesn't work.

Version-Release number of selected component (if applicable):
2.2-17

How reproducible:
Try to let xautolock lock the session after 1 minute


Steps to Reproduce:
1. xautolock -time 1 -locker "i3lock"
2. wait 1 minute

Actual results:
Screen isn't locked

Expected results:
Screen should be locked


Additional info:
I've recompiled xautolock without the 2 patches used in the original spec file of fedora 23, and it works.
Comment 1 Ben Boeckel 2015-12-18 21:35:42 EST
Can you paste the output of "xprop -root"? Does it work without the second patch (XSS), but with the first?
Comment 2 Jan-Marten Brüggemann 2016-01-11 07:55:00 EST
Yeah, today I came back to office, and the first thing I did was upgrading my system. Now xautolock doesn't work, even without the patches. Here is the output of xprop -root:

_NET_WM_USER_TIME(CARDINAL) = 425056
XFDESKTOP_IMAGE_FILE_1(STRING) = "/home/brueggemann/Syncthing/Bilder/Pony/sleepy_atop_a_cloud_by_uxyd.svg"
_XROOTPMAP_ID(PIXMAP): pixmap id # 0x1400031
XFDESKTOP_IMAGE_FILE_0(STRING) = "/home/brueggemann/Bilder/muffin.png"
_NET_DESKTOP_LAYOUT(CARDINAL) = 0, 0, 2, 0
_NET_CLIENT_LIST_STACKING(WINDOW): window id # 0x1400003, 0x44000a0, 0x1a00001, 0x1000004, 0x2800027
_NET_CLIENT_LIST(WINDOW): window id # 0x1000004, 0x1400003, 0x1a00001, 0x44000a0, 0x2800027
_NET_ACTIVE_WINDOW(WINDOW): window id # 0x2800027, 0x0
_NET_CURRENT_DESKTOP(CARDINAL) = 0
_NET_DESKTOP_VIEWPORT(CARDINAL) = 0, 0
_NET_DESKTOP_GEOMETRY(CARDINAL) = 3286, 1080
_NET_SUPPORTING_WM_CHECK(WINDOW): window id # 0xa00122
_NET_SUPPORTED(ATOM) = _NET_ACTIVE_WINDOW, _NET_CLIENT_LIST, _NET_CLIENT_LIST_STACKING, _NET_CLOSE_WINDOW, _NET_CURRENT_DESKTOP, _NET_DESKTOP_GEOMETRY, _NET_DESKTOP_LAYOUT, _NET_DESKTOP_NAMES, _NET_DESKTOP_VIEWPORT, _NET_FRAME_EXTENTS, _NET_MOVERESIZE_WINDOW, _NET_NUMBER_OF_DESKTOPS, _NET_REQUEST_FRAME_EXTENTS, _NET_SHOWING_DESKTOP, _NET_SUPPORTED, _NET_SUPPORTING_WM_CHECK, _NET_SYSTEM_TRAY_OPCODE, _NET_WM_ACTION_ABOVE, _NET_WM_ACTION_BELOW, _NET_WM_ACTION_CHANGE_DESKTOP, _NET_WM_ACTION_CLOSE, _NET_WM_ACTION_FULLSCREEN, _NET_WM_ACTION_MAXIMIZE_HORZ, _NET_WM_ACTION_MAXIMIZE_VERT, _NET_WM_ACTION_MINIMIZE, _NET_WM_ACTION_MOVE, _NET_WM_ACTION_RESIZE, _NET_WM_ACTION_SHADE, _NET_WM_ACTION_STICK, _NET_WM_ALLOWED_ACTIONS, _NET_WM_CONTEXT_HELP, _NET_WM_DESKTOP, _NET_WM_FULLSCREEN_MONITORS, _NET_WM_ICON, _NET_WM_ICON_GEOMETRY, _NET_WM_ICON_NAME, _NET_WM_MOVERESIZE, _NET_WM_NAME, _NET_WM_PID, _NET_WM_PING, _NET_WM_STATE, _NET_WM_STATE_ABOVE, _NET_WM_STATE_BELOW, _NET_WM_STATE_DEMANDS_ATTENTION, _NET_WM_STATE_FOCUSED, _NET_WM_STATE_FULLSCREEN, _NET_WM_STATE_HIDDEN, _NET_WM_STATE_MAXIMIZED_HORZ, _NET_WM_STATE_MAXIMIZED_VERT, _NET_WM_STATE_MODAL, _NET_WM_STATE_SHADED, _NET_WM_STATE_SKIP_PAGER, _NET_WM_STATE_SKIP_TASKBAR, _NET_WM_STATE_STICKY, _NET_WM_STRUT, _NET_WM_STRUT_PARTIAL, _NET_WM_SYNC_REQUEST, _NET_WM_SYNC_REQUEST_COUNTER, _NET_WM_USER_TIME, _NET_WM_USER_TIME_WINDOW, _NET_WM_WINDOW_OPACITY, _NET_WM_WINDOW_OPACITY_LOCKED, _NET_WM_WINDOW_TYPE, _NET_WM_WINDOW_TYPE_DESKTOP, _NET_WM_WINDOW_TYPE_DIALOG, _NET_WM_WINDOW_TYPE_DOCK, _NET_WM_WINDOW_TYPE_MENU, _NET_WM_WINDOW_TYPE_NORMAL, _NET_WM_WINDOW_TYPE_SPLASH, _NET_WM_WINDOW_TYPE_TOOLBAR, _NET_WM_WINDOW_TYPE_UTILITY, _NET_WORKAREA, _GTK_FRAME_EXTENTS, _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED, _GTK_SHOW_WINDOW_MENU, _NET_STARTUP_ID
_NET_DESKTOP_NAMES(UTF8_STRING) = "Arbeitsfläche 1", "Arbeitsfläche 2", "Arbeitsfläche 3", "Arbeitsfläche 4", ""
_NET_WORKAREA(CARDINAL) = 0, 0, 3286, 1053, 0, 0, 3286, 1053, 0, 0, 3286, 1053, 0, 0, 3286, 1053
_NET_NUMBER_OF_DESKTOPS(CARDINAL) = 4
PULSE_COOKIE(STRING) = "bea40a5cba37cea483100b277053378312200f9e4e128b0932cf31cafcb32fae3ba20bfb320c76a59de535f38a87bb5e231ca2227717dd0a8933c975abdc9002b4e2a1c60ae918eaea7785c1c0ea1168651c4eab9086d886e40a5856783f7af595e37127d59bcffabbfd9532e59c88d433d7b50b99ce27d44a4a7910e1e3af4267980fa2fd3433c0b7f3ddf4647271f9ffa55341a803d379f61eed6e9d358c026693a4887e75beb55cca84b9204d908d2842723c010210c78c617f6d1e1b9bf3405eb797d5e6d8fde0eb3046c3b2721c51c71bb9f11723af2340c1d7b147c55b145a62df4e3d53cfe13fe810a55723b68e4c11d3df9cfbd90327c829f1c43825"
PULSE_SERVER(STRING) = "{b2e9f382c2ca47c2b8b74ed2ba67550f}unix:/run/user/1000/pulse/native"
PULSE_SESSION_ID(STRING) = "1"
PULSE_ID(STRING) = "1000@b2e9f382c2ca47c2b8b74ed2ba67550f/2121"
NAUTILUS_DESKTOP_WINDOW_ID(WINDOW): window id # 0x1400003
XFCE_DESKTOP_WINDOW(WINDOW): window id # 0x1400003
AT_SPI_BUS(STRING) = "unix:abstract=/tmp/dbus-fJL3MkhetM,guid=d60057533a33a74263bd85ed5693a42f"
XKLAVIER_ALLOW_SECONDARY(INTEGER) = 0
GDK_VISUALS(INTEGER) = 183, 115
XAUTOLOCK_SEMAPHORE_PID(INTEGER) = 79, 11, 0, 0
_DT_RESTORE_MODE(STRING) = "xfce4"
_DT_SAVE_MODE(STRING) = "xfce4"
RESOURCE_MANAGER(STRING) = "Xft.antialias:\t1\nXft.hintstyle:\thintfull\nXft.rgba:\tnone\nXft.dpi:\t88\nXcursor.theme:\tBreeze_Snow\nXcursor.size:\t0\nXcursor.theme_core:\t1\n"
_XKB_RULES_NAMES(STRING) = "evdev", "pc105", "de", "nodeadkeys", "compose:caps"
Xorg_Seat(STRING) = "seat0"
XFree86_has_VT(INTEGER) = 1
XFree86_VT(INTEGER) = 1
Comment 3 Ben Boeckel 2016-07-23 23:11:28 EDT
I wonder if this is something with XFCE. Does it work with any other DE? (I use it just fine with my DE-less setup based on XMonad.)
Comment 4 Fedora End Of Life 2016-11-24 09:21:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:10:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Mike Goodwin 2017-02-25 12:23:14 EST
I'm trying to use xautolock on Fedora 25 and I also came across this in an attempt to lock a keepass database upon X inactivity. This is the only native program in Fedora that purports to do something like this, and it doesn't work at all. 

xautolock -time 1 -locker "keepass --lock-all" -notify 30 -notifier "notify-send -u critical -t 10000 -- 'Locking KeePass in 30 seconds'" -detectsleep

Is the command I'm trying to use, but even simpler versions don't do anything; the inactivity time is never reached and the locker is never triggered.
Comment 7 Mike Goodwin 2017-02-26 10:01:15 EST
Upon further investigation, it seems as though the locker only works once per X-session. Someone doing a quick test would find that it works the first time, and then might report back that everything is ok, but they need to check the locker and time interval twice to see that it only works once.
Comment 8 Fedora End Of Life 2017-11-16 14:49:42 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.